Update folder properties
curl --request POST \
--url https://api.hubapi.com/files/2026-03/folders/update/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
'import requests
url = "https://api.hubapi.com/files/2026-03/folders/update/async"
payload = {
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', name: '<string>', parentFolderId: 123})
};
fetch('https://api.hubapi.com/files/2026-03/folders/update/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"links": {}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
Update folder properties
Update properties of folder by given ID. This action happens asynchronously and will update all of the folder’s children as well.
POST
/
files
/
2026-03
/
folders
/
update
/
async
Update folder properties
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
The unique identifier of the folder to be updated.
New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.
New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.
最終更新日 2026年4月10日
⌘I